# hcloud_volume_info – Gather infos about your Hetzner Cloud volumes

New in version 2.8.

- Synopsis
- Requirements
- Parameters
- See Also
- Examples
- Return Values
- Status

## Synopsis

- Gather infos about your Hetzner Cloud volumes.

Aliases: hcloud_volume_facts

## Requirements

The below requirements are needed on the host that executes this module.

- hcloud-python >= 1.0.0

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_token string / required |  | This is the API Token for the Hetzner Cloud.
endpoint string | Default: "https://api.hetzner.cloud/v1" | This is the API Endpoint for the Hetzner Cloud.
id integer |  | The ID of the volume you want to get.
label_selector string |  | The label selector for the volume you want to get.
name string |  | The name of the volume you want to get.

## See Also

See also

Documentation for Hetzner Cloud API
  Complete reference for the Hetzner Cloud API.

## Examples

    - name: Gather hcloud volume infos
      hcloud_volume_info:
      register: output
    - name: Print the gathered infos
      debug:
        var: output.hcloud_volume_info

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
hcloud_volume_info complex | always | The volume infos as list
| id integer | always | Numeric identifier of the volume Sample: 1937415
| labels dictionary | always | User-defined labels (key-value pairs)
| location string | always | Name of the location where the volume resides in Sample: fsn1
| name string | always | Name of the volume Sample: my-volume
| server string | always | Name of the server where the volume is attached to Sample: my-server
| size string | always | Size of the volume Sample: 10

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Lukas Kaemmerling (@LKaemmerling)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.